<h1 mat-dialog-title>Account</h1>
<div mat-dialog-content class="d-flex flex-column">
  <mat-form-field class="col-12">
    <input matInput placeholder="Email" [formControl]="emailControl" type="email" [(ngModel)]="accountData.email" required>
    <mat-error *ngIf="emailControl.hasError('email') && !emailControl.hasError('required')">
      Please enter a valid email address
    </mat-error>
    <mat-error *ngIf="emailControl.hasError('required')">
      Email is <strong>required</strong>
    </mat-error>
  </mat-form-field>
  <mat-form-field class="col-12">
    <input matInput placeholder="Full Name" [formControl]="nameControl" type="text" [(ngModel)]="accountData.fullName" required>
    <mat-error *ngIf="nameControl.hasError('required')">
      Full Name is <strong>required</strong>
    </mat-error>
  </mat-form-field>
  <mat-form-field class="col-12">
    <input matInput [formControl]="passwordControl" type="password" [(ngModel)]="accountData.account" required>
    <mat-error *ngIf="passwordControl.hasError('required')">
      Password is <strong>required</strong>
    </mat-error>
  </mat-form-field>
  <div class="d-flex justify-content-around">
      <button mat-button (click)="onNoClick()">No Thanks</button>
      <button mat-button (click)="onPerform()">{{data.action}}</button>
    </div>
</div>
